Subject: RE: bug#25474: 26.0.50; Buffer content invisible

From: "Ivor Durham" <[email-masked]>
Date: Sat, 21 Jan 2017 08:52:46 -0800

Sorry for the imprecision: What I meant by "multiple .emacs files" is that I use multiple accounts on the same Linux system for different consulting clients so I would have to make sure I copied the patched .emacs to all accounts (or link to a public version). Not a big deal but easier to fix in one place.

I also use the Linux system both remotely from my laptop and locally from the keyboard so I have two different X implementations to contend with, the one on the Fedora Linux system itself and the VcXsrv on my laptop.

-----Original Message-----
From: martin rudalics [mailto:[email-masked]] 
Sent: Saturday, January 21, 2017 5:20 AM
To: Eli Zaretskii; Ivor Durham
Cc: [email-masked]; [email-masked]
Subject: Re: bug#25474: 26.0.50; Buffer content invisible

 >> (I'm leaving the build with the config.h/Makefile patches installed to avoid updating multiple .emacs files though!)  >  > You should be able to make that setting conditional on the X display,  > I think.  Martin, am I right?

I'm not sure what "avoid updating multiple .emacs files" means.  Ivor can customize the frame parameter in ‘default-frame-alist’ in which case it applies to all frames that "understand" the parameter - in the particular case to all frames of a >= 26.1 Emacs build.  It can also be added manually to this list based on the ‘window-system’ used (`x' in the case at hand) preferably via ‘customize-set-variable’ in which case it will apply to X frames only.

martin